#[derive(
    Debug,
    Clone,
    conjure_object::serde::Serialize,
    conjure_object::serde::Deserialize,
    PartialEq,
    Eq,
    PartialOrd,
    Ord,
    Hash
)]
#[serde(crate = "conjure_object::serde")]
#[conjure_object::private::staged_builder::staged_builder]
#[builder(crate = conjure_object::private::staged_builder, update, inline)]
pub struct RefNamesAlreadyUsed {
    #[builder(
        default,
        set(
            item(
                type = super::super::super::super::super::objects::scout::api::DataSourceRefName
            )
        )
    )]
    #[serde(
        rename = "refNames",
        skip_serializing_if = "std::collections::BTreeSet::is_empty",
        default
    )]
    ref_names: std::collections::BTreeSet<
        super::super::super::super::super::objects::scout::api::DataSourceRefName,
    >,
}
impl RefNamesAlreadyUsed {
    /// Constructs a new instance of the type.
    #[inline]
    pub fn new() -> Self {
        Self::builder().build()
    }
    #[inline]
    pub fn ref_names(
        &self,
    ) -> &std::collections::BTreeSet<
        super::super::super::super::super::objects::scout::api::DataSourceRefName,
    > {
        &self.ref_names
    }
}
impl conjure_error::ErrorType for RefNamesAlreadyUsed {
    #[inline]
    fn code() -> conjure_error::ErrorCode {
        conjure_error::ErrorCode::Conflict
    }
    #[inline]
    fn name() -> &'static str {
        "Scout:RefNamesAlreadyUsed"
    }
    #[inline]
    fn safe_args() -> &'static [&'static str] {
        &[]
    }
}
